Skip to Main Content

Zen Cart 1.5.1 Patches

Updated: October 9, 2012

Upgrading from an earlier versions of Zen Cart to 1.5.1 requires adding new files and new versions of existing files to your Zen Cart installations. You can do this using our patch files for the older versions of Zen Cart. There will also be files that should be removed.

If you have modified any of the existing files included in the patch you will need to reapply those changes to the new files, you can check for modifications by comparing the files in the existing_files folder with the files on your website. If you have renamed the admin, which is recommend by Zen Cart, make sure to rename the admin directory in the new_files folder before copying the files.

You will also need to upgrade the database, which can be done through the Zen Cart installer found in the Zen Cart 1.5.1 full fileset.

The patch files include the XSS Flaw Patch.

In Zen Cart 1.5.x the UPS and USPS shipping modules are no longer included. They are now available as separate modules. The UPS module is available here and the USPS module here.

In Zen Cart 1.5.x the HTMLarea text editor is no longer included. The CKEditor Plugin for Zen Cart can be used as a replacement for this.

Patch Files

Related:

Services

Tool